Summary:	Automated hinting process for web fonts
Name:		ttfautohint
Version:	1.1
Release:	1
Group:		Applications/System
License:	GPLv2
URL:		http://www.freetype.org/ttfautohint
Source0:	http://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	freetype2-devel >= 2.4.6-1
BuildRequires:	harfbuzz-devel >= 0.9.35-1

Requires:	freetype2 >= 2.4.6-1
Requires:	harfbuzz >= 0.9.35-1

%description
ttfautohint's goal is a 99% automated hinting process for web fonts,
acting as a platform for finely hand-tuned hinting.


%prep
%setup -q
%patch0
# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
./configure \
    --prefix=%{_prefix} \
    --with-qt=no

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc
%defattr(-,root,system,-)
%{_bindir}/*
/usr/bin/*


%changelog
* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 1.1-1
- updated to version 1.1

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 1.00-1
- updated to version 1.00

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 0.97-1
- updated to version 0.97

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 0.96-1
- updated to version 0.96

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 0.95-1
- updated to version 0.95

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 0.94-1
- updated to version 0.94

* Fri Nov 07 2014 Michael Perzl <michael@perzl.org> - 0.93-1
- first version for AIX V5.1 and higher
